#ifndef __GLOBALS_HPP__
#define __GLOBALS_HPP__

#define WELCOME								'+'
#define GO_AHEAD							'!'
#define LOGIN_FAILED						'^'
#define ACTION_NOTHING						'n'
#define ACTION_CHANGEPASSWORD				'c'
#define ACTION_CHANGEGROUPPASSWORD			'r'
#define ACTION_ADDUSER						'a'
#define ACTION_ADDGROUP						'b'
#define ACTION_DELETEUSER					'd'
#define ACTION_DELETEGROUP					'e'
#define ACTION_GETGROUP						'g'
#define ACTION_CHFN							'l'
#define ACTION_GETKEY						'k'
#define GOOD_BYE							'#'
#define INVALID_ACTION						'?'
#define OK									'+'
#define FAILURE								'*'
#define INVALID_USER						'-'
#define NO_RIGHTS							'~'
#define WEAK_PASSWORD						'$'
#define TIMEOUT								'&'
#define BAD_SHELL							':'
#define ERROR_MAKEDIR						';'

#define SEPARATOR							"/"

#define DEFAULT_SERVERPORT					1099
#define DEFAULT_MAXPROCS					  10

#ifdef PATH_SYSCONFDIR
# define DEFAULT_SERVERCONFFILE		PATH_SYSCONFDIR "/passwdd.conf"
# define DEFAULT_CLIENTCONFFILE		PATH_SYSCONFDIR "/passwdc.conf"
#else
# define DEFAULT_SERVERCONFFILE		"/etc/passwdd.conf"
# define DEFAULT_CLIENTCONFFILE		"/etc/passwdc.conf"
#endif

#ifdef WIN32
# undef DEFAULT_CLIENTCONFFILE
# undef SEPARATOR
# define DEFAULT_CLIENTCONFFILE		"passwdc.ini"
# define SEPARATOR					"\\"
# define snprintf					_snprintf
#endif

#define strzero(p) memset(p, 0, strlen(p))
#define memzero(p) memset(p, 0, sizeof(p))

#endif // __GLOBALS_HPP__
